libzypp: zyppng::GAbstractEventSource Struct Reference

libzypp 17.36.6

Static Public Member Functions | Public Attributes | List of all members
zyppng::GAbstractEventSource Struct Reference

`#include <zypp-core/zyppng/base/private/eventdispatcher_glib_p.h>`

## Static Public Member Functions
static gboolean | prepare (GSource *, gint *timeout)
static gboolean | check (GSource *source)
static gboolean | dispatch (GSource *source, GSourceFunc, gpointer)
static GAbstractEventSource * | create (EventDispatcherPrivate *ev)
static void | destruct (GAbstractEventSource *src)

## Public Attributes
GSource | source
EventDispatcherPrivate * | _ev
AbstractEventSource * | eventSource
std::vector< GUnixPollFD > | pollfds

## Detailed Description

Definition at line 28 of file eventdispatcher_glib_p.h.

## Member Function Documentation

## ◆ prepare()

gboolean zyppng::GAbstractEventSource::prepare | ( | GSource * | ,
|  | gint * | timeout )
| static

Definition at line 86 of file eventdispatcher_glib.cc.

## ◆ check()

gboolean zyppng::GAbstractEventSource::check | ( | GSource * | source | ) |
| static

Definition at line 96 of file eventdispatcher_glib.cc.

## ◆ dispatch()

gboolean zyppng::GAbstractEventSource::dispatch | ( | GSource * | source,
|  | GSourceFunc | ,
|  | gpointer | )
| static

Definition at line 126 of file eventdispatcher_glib.cc.

## ◆ create()

GAbstractEventSource * zyppng::GAbstractEventSource::create | ( | EventDispatcherPrivate * | ev | ) |
| static

Definition at line 63 of file eventdispatcher_glib.cc.

## ◆ destruct()

void zyppng::GAbstractEventSource::destruct | ( | GAbstractEventSource * | src | ) |
| static

Definition at line 73 of file eventdispatcher_glib.cc.

## Member Data Documentation

## ◆ source

GSource zyppng::GAbstractEventSource::source

Definition at line 30 of file eventdispatcher_glib_p.h.

## ◆ _ev

EventDispatcherPrivate* zyppng::GAbstractEventSource::_ev

Definition at line 31 of file eventdispatcher_glib_p.h.

## ◆ eventSource

AbstractEventSource* zyppng::GAbstractEventSource::eventSource

Definition at line 32 of file eventdispatcher_glib_p.h.

## ◆ pollfds

std::vector<GUnixPollFD> zyppng::GAbstractEventSource::pollfds

Definition at line 33 of file eventdispatcher_glib_p.h.

The documentation for this struct was generated from the following files:

- zypp-core/zyppng/base/private/eventdispatcher_glib_p.h
- zypp-core/zyppng/base/eventdispatcher_glib.cc